<div class="mb-3">
  <h3
    *ngIf="name"
    markdown
    [content]="name"
    [context]="context"
    [enumerator]="enumerator"
    [required]="block.required"
  ></h3>
  <p *ngIf="description" class="text-secondary" markdown [content]="description" [context]="context"></p>
  <div [ngClass]="placeholder ? 'form-floating' : ''">
    <input
      #ref
      type="url"
      class="form-control"
      [id]="block.key()"
      [required]="block.required"
      [placeholder]="placeholder ? placeholder : 'https://'"
      [attr.aria-describedby]="explanation && block.key('explanation')"
      [(ngModel)]="block.urlSlot.value"
      (focus)="block.onFocus(ref)"
      (blur)="block.onBlur(ref)"
    />
    <label *ngIf="placeholder" [for]="block.key()">{{ placeholder }}</label>
  </div>
  <div
    *ngIf="explanation"
    class="form-text"
    [id]="block.key('explanation')"
    markdown
    [content]="explanation"
    [context]="context"
  ></div>
</div>
